package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 风险点隐患及异常情况对象 t_issue_rectification
 *
 * @author zehong
 * @date 2026-03-20
 */
public class TIssueRectification extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 重要风险点id */
    @Excel(name = "重要风险点id")
    private Long fRiskDevMajInforId;

    /** 隐患/异常 */
    @Excel(name = "隐患/异常")
    private String dangerAnomaly;

    /** 整改/处置 */
    @Excel(name = "整改/处置")
    private String rectificationDisposal;

    /** 处理人 */
    @Excel(name = "处理人")
    private String handler;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 类型(1,隐患及整改情况;2.监测异常及处置情况) */
    @Excel(name = "类型(1,隐患及整改情况;2.监测异常及处置情况)")
    private String issueType;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setfRiskDevMajInforId(Long fRiskDevMajInforId)
    {
        this.fRiskDevMajInforId = fRiskDevMajInforId;
    }

    public Long getfRiskDevMajInforId()
    {
        return fRiskDevMajInforId;
    }
    public void setDangerAnomaly(String dangerAnomaly)
    {
        this.dangerAnomaly = dangerAnomaly;
    }

    public String getDangerAnomaly()
    {
        return dangerAnomaly;
    }
    public void setRectificationDisposal(String rectificationDisposal)
    {
        this.rectificationDisposal = rectificationDisposal;
    }

    public String getRectificationDisposal()
    {
        return rectificationDisposal;
    }
    public void setHandler(String handler)
    {
        this.handler = handler;
    }

    public String getHandler()
    {
        return handler;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setIssueType(String issueType)
    {
        this.issueType = issueType;
    }

    public String getIssueType()
    {
        return issueType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fRiskDevMajInforId", getfRiskDevMajInforId())
                .append("dangerAnomaly", getDangerAnomaly())
                .append("rectificationDisposal", getRectificationDisposal())
                .append("handler", getHandler())
                .append("phone", getPhone())
                .append("issueType", getIssueType())
                .append("createTime", getCreateTime())
                .toString();
    }
}